## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/go-acme/lego
%global goipath         github.com/go-acme/lego
Version:                4.18.0

%gometa -f

%global goaltipaths     github.com/xenolf/lego github.com/go-acme/lego/v4

%global common_description %{expand:
Let's Encrypt client and ACME library written in Go.}

%global golicenses      LICENSE
%global godocs          docs CHANGELOG.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Let's Encrypt client and ACME library written in Go

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
%gobuild -o %{gobuilddir}/bin/lego %{goipath}/cmd/lego
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestDNSProviderManual" "TestLookupNameserversOK" "TestFindZoneByFqdnCustom" \
            "TestFindPrimaryNsByFqdnCustom" "TestCheckDNSPropagation" "TestCheckAuthoritativeNss" \
            "TestCheckAuthoritativeNssErr"  "TestDNSProvider_findZone" "TestDNSProvider_FindZoneAndRecordName" \
            "TestPresentNoExistingRR" "TestPresentWithExistingRR" "TestPresentSkipExistingRR" \
            "TestRemoveRecord_errors" "TestAddTXTRecord_errors" "TestDNSProvider_concurrentGetDNSEntries" \
            "TestDNSProvider_concurrentAddDNSEntry" "TestClient_GetZone" "TestClient_GetDomainInformation" \
            "TestNewDNSProvider" "TestDNSProvider_Present" "TestDNSProvider_CleanUp" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
# TODO Review lightsail, route53, otc
%gocheck -d github.com/go-acme/lego/providers/dns/auroradns \
         -d github.com/go-acme/lego/providers/dns/conoha \
         -d github.com/go-acme/lego/providers/dns/constellix/internal \
         -d github.com/go-acme/lego/providers/dns/dynu/internal \
         -d github.com/go-acme/lego/providers/dns/lightsail \
         -d github.com/go-acme/lego/providers/dns/otc \
         -d github.com/go-acme/lego/providers/dns/ovh \
         -d github.com/go-acme/lego/providers/dns/route53 \
         -d github.com/go-acme/lego/providers/dns/sakuracloud \
         -d github.com/go-acme/lego/providers/dns/zoneee
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc docs CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/lego
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-5
- Update to 4.18.0 - Closes rhbz#2309384

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-4
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-3
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-2
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-1
- Update to 4.17.4 - Closes rhbz#2009869 rhbz#2171504 rhbz#2268886
  rhbz#2294003 rhbz#2225838

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> 4.4.0-15
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Maxwell G <maxwell@gtmx.me> 4.4.0-12
- Remove deprecated %patchN syntax

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 4.4.0-9
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 4.4.0-7
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 4.4.0-6
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> 4.4.0-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> 4.4.0-4
- Rebuilt for CVE-2022-27191

* Tue Feb 22 2022 Robert-André Mauchin <zebob.m@gmail.com> 4.4.0-3
- Fix FTBFS with patch to use last desec Close: rhbz#2045465

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Robert-André Mauchin <zebob.m@gmail.com> 4.4.0-1
- Update to 4.4.0 Close: rhbz#1969647

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 14:18:16 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.3.1-1
- Update to 4.3.1
- Close: rhbz#1920128

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 05:57:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.3-1
- Update to 4.1.3
- Close: rhbz#1874670

* Fri Aug 21 17:53:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.8.0-3
- Add patch to remove obsoleted linodego version

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 00:27:19 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Thu Apr 02 18:22:42 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 02 2019 Carl George <carl@george.computer> - 2.7.2-1
- Latest upstream v2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 16:35:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.0-1
- Initial package

